# Sanitizer_GraphNodeLaunchData Struct Reference
[Sanitizer Callback API]

Data passed into a graph node launch callback function. More...

## Data Fields

union {
Sanitizer_LaunchData launchData
Sanitizer_ResourceMemoryData Sanitizer_GraphNodeLaunchData::memAllocData
Sanitizer_MemcpyData Sanitizer_GraphNodeLaunchData::memcpyData
uint64_t Sanitizer_GraphNodeLaunchData::memFreeAddress
Sanitizer_MemsetData Sanitizer_GraphNodeLaunchData::memsetData
}; |
CUgraphExec | graphExec
uint32_t | isGraphUpload
uint32_t | launchId
CUgraphNode | node
CUgraphNodeType | nodeType

## Detailed Description

Data passed into a graphs callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_GRAPHS and `cbid` equal to SANITIZER_CBID_GRAPHS_LAUNCH_NODE_BEGIN or SANITIZER_CBID_GRAPHS_LAUNCH_NODE_END. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUgraphExec Sanitizer_GraphNodeLaunchData::graphExec

Instance of the CUDA graph being launched.

Sanitizer_LaunchData Sanitizer_GraphNodeLaunchData::launchData

This is only valid if nodeType is CU_GRAPH_NODE_TYPE_KERNEL.